
%syms

t = 0:0.00125:1; % x axis units representing time on an arbitrary scale
a = 75; % adjusts rate curve amplitude i.e. vertical range of rate data on 
% either side of v. a and v are set so the range is 50 - 200 Hz.
v = 125; % vertical adjustment of rate data - without this, the range of
% wave would be centred on zero
w = 2; % wavelength adjustment - a higher value gives shorter wavelength. 
% Set at 2, a whole wave fits in the range t = 0 to 1.
d = 40; % adjusts dynamics curve amplitude. A higher value gives a smaller 
% range. 

wave = a*sin(w*pi*t)+v;

dynamics = diff(wave); % Differentiates 'wave' with respect to t. Not used 
% so far.

plot(t,wave,'-','color',([.5 .5 .5]),'LineWidth',1.2)
xlabel('t'); ylabel('Hz')

hold on

plot(t,gradient(wave,t)/d,'--','color',([.4 .4 .4]),'LineWidth',1.4)

plot(t,wave + (gradient(wave,t)/d),':','color',([1 .7 .7]),'LineWidth',1.8)



