
% FIG 6

opengl software
figure;

% sine wave

subplot(3,2,[1 3])
x = 0:0.1:15;
y = sin(x);
plot(x,y,'LineWidth',1,'color',([.5 .5 .5]));
xlim([0 4*pi]); xlabel('t')
set(gca,'FontSize',12)
hold on
plot(x,gradient(y,x),'--','Color',([.2 .2 .2]));
plot(x,y+gradient(y,x),':','LineWidth',1.2,'Color',([1 .7 .7]));
yline(0)

% plot(x,y+(gradient(y,x)/1.5),':','LineWidth',1.45,'Color',([1 .72 .72]));
% plot(x,y+(gradient(y,x)/2),':','LineWidth',1.4,'Color',([1 .74 .74]));
% plot(x,y+(gradient(y,x)/2.5),':','LineWidth',1.35,'Color',([1 .76 .76]));
% plot(x,y+(gradient(y,x)/3),':','LineWidth',1.3,'Color',([1 .78 .78]));

% Physiological PC rate

a = 50; % adjusts the size of the range of the firing rate data on either 
% side of b. a and b are set so the range is 75 - 175 Hz.
b = 125; % vertical adjustment of the firing rate data - without this, the 
% range would be centred on zero
c = 1; % wavelength adjustment - the number of cycles in a period of 200 ms, 
% so higher value gives shorter wavelength. Doubling the number halves the 
% wavelength
d1 = 2; % adjusts the range of the derivates. A higher value gives a smaller 
% range. This represents the unknown size of the effect of lag between the
% speeds that enhancement and STD catch up with a change of PC rate
d2 = 1;
d3 = 0.7;
d4 = 0.55;

subplot(3,2,[2 4])
x = 0:0.1:20; % Time on an arbitrary scale such that given c = 1, 
% wavelength = 20x. Values of x do not need to be integers, so the range
% can be divided into smaller increments, as it is here (200)
y = a * sin(c*x/pi) + b;
plot(x,y,'LineWidth',1.2,'color',([.5 0 0]));
title('wav; red = Hz')
xlabel('ms'); ylabel('');
xticks([0 5 10 15 20]); xticklabels([0 50 100 150 200])
ylim([-100 260])
set(gca,'FontSize',12)

hold on

plot(x,gradient(y,x)/d1,':','LineWidth',1.4,'Color',([0 0 .4]));
plot(x,y+gradient(y,x)/d1,':','LineWidth',1.4,'Color',([.6 0 0]));

plot(x,gradient(y,x)/d2,':','LineWidth',1.3,'Color',([0 0 .7]));
plot(x,y+gradient(y,x)/d2,':','LineWidth',1.3,'Color',([.8 .4 .4]));

plot(x,gradient(y,x)/d3,':','LineWidth',1.2,'Color',([.4 .4 .9]));
plot(x,y+gradient(y,x)/d3,':','LineWidth',1.2,'Color',([1 .55 .55]));

plot(x,gradient(y,x)/d4,':','LineWidth',1.1,'Color',([.7 .7 1]));
plot(x,y+gradient(y,x)/d4,':','LineWidth',1.1,'Color',([1 .7 .7]));

yline(0)

%%%

% subplot(2,3,3)
% 
% c = 2;
% 
% y = a * sin(c*x/pi) + b;
% plot(x,y,'LineWidth',1.2,'color',([.5 0 0]));
% title('wav/2; red = Hz')
% xlabel('ms'); ylabel('');
% xticks([0 5 10 15 20]); xticklabels([0 50 100 150 200])
% ylim([-100 260])
% set(gca,'FontSize',11)
% 
% hold on
% 
% plot(x,gradient(y,x)/d1,':','LineWidth',1.3,'Color',([0 0 .4]));
% plot(x,y+gradient(y,x)/d1,':','LineWidth',1.3,'Color',([.6 0 0]));
% 
% plot(x,gradient(y,x)/d2,':','LineWidth',1.2,'Color',([0 0 .7]));
% plot(x,y+gradient(y,x)/d2,':','LineWidth',1.2,'Color',([.8 .4 .4]));
% 
% plot(x,gradient(y,x)/d3,':','LineWidth',1.1,'Color',([.4 .4 .9]));
% plot(x,y+gradient(y,x)/d3,':','LineWidth',1.1,'Color',([1 .55 .55]));
% 
% plot(x,gradient(y,x)/d4,':','LineWidth',1,'Color',([.7 .7 1]));
% plot(x,y+gradient(y,x)/d4,':','LineWidth',1,'Color',([1 .7 .7]));
% 
% yline(0)
% 
% %%%
% 
% subplot(2,3,4)
% 
% c = 3;
% 
% y = a * sin(c*x/pi) + b;
% plot(x,y,'LineWidth',1.2,'color',([.5 0 0]));
% title('wav/3; red = Hz')
% xlabel('ms'); ylabel('');
% xticks([0 5 10 15 20]); xticklabels([0 50 100 150 200])
% ylim([-100 260])
% set(gca,'FontSize',11)
% 
% hold on
% 
% plot(x,gradient(y,x)/d1,':','LineWidth',1.3,'Color',([0 0 .4]));
% plot(x,y+gradient(y,x)/d1,':','LineWidth',1.3,'Color',([.6 0 0]));
% 
% plot(x,gradient(y,x)/d2,':','LineWidth',1.2,'Color',([0 0 .7]));
% plot(x,y+gradient(y,x)/d2,':','LineWidth',1.2,'Color',([.8 .4 .4]));
% 
% plot(x,gradient(y,x)/d3,':','LineWidth',1.1,'Color',([.4 .4 .9]));
% plot(x,y+gradient(y,x)/d3,':','LineWidth',1.1,'Color',([1 .55 .55]));
% 
% plot(x,gradient(y,x)/d4,':','LineWidth',1,'Color',([.7 .7 1]));
% plot(x,y+gradient(y,x)/d4,':','LineWidth',1,'Color',([1 .7 .7]));
% 
% yline(0)
% 
% 
% 
% % plot %age change in amplitude of dynamics data and %age change in the
% % phase adjustment of the pink data
% 
% % subplot(2,3,[4 5])
% % t = 0:0.1:40; % x axis units representing time on an arbitrary scale such 
% % % that wavelength = 20 if w = 1. t % values do not need to be integers, so 
% % % the range can be divided into smaller increments, as it is here (200)
% % y = a * sin(w*t/pi) + v;
% % plot(t,y,'LineWidth',1.2,'color',([.5 0 0]));
% % %ylim([-70 240])
% % set(gca,'FontSize',11)
% 
% hold on
