
% FIG 5 panels 5 and 6

opengl software
figure;

a = 50; % adjusts the size of the range of the firing rate data on either 
% side of v. a and v are set so the range is 50 - 200 Hz.
b = 125; % vertical adjustment of the firing rate data - without this, the 
% range would be centred on zero

%subplot(2,3,2)

for j = 1:1:4
    
    if j == 1
        d = 2; % adjusts the range of the derivates. A higher value gives a 
        % smaller range. This represents the unknown size of the effect of 
        % short term effects on PC-nuclear transmission
    elseif j == 2
        d = 1;
    elseif j == 3
        d = 0.7;
    else
        d = 0.55;
    end

    c = 2; % wavelength adjustment - the number of cycles in a period of 
    % 200 ms, so a higher value gives a shorter wavelength. 
    
    SHIFT = [];
    WAV = [];
    
    while c >= 0.3
        x = 0:0.05:20; % Time: x = 1 represents 10 ms, so the range 
        % represents 200 ms divided into 400 increments
        y = a * sin(c*x/pi) + b;
        new_y = y + gradient(y,x)/d;
        [pks_y,i_pks_y] = findpeaks(y);
        i_y = i_pks_y(1);
        %INDEX_y = [INDEX_y i_y];
        [pks_new_y,i_pks_new_y] = findpeaks(new_y);
        i_new_y = i_pks_new_y(1);
        shift = i_y - i_new_y;
        SHIFT = [SHIFT shift];
        wav = 200/c;
        WAV = [WAV wav];
        c = c - 0.01
    end

    pc_SHIFT = (SHIFT./WAV)*100;

    subplot(2,3,2)
    if j == 1
        %length(WAV)
        %length(SHIFT)
        plot(WAV,SHIFT,'LineWidth',1.2,'color',([0 0 .4]))
        title('absolute shift')
        xlim([100 500]);ylim([0 40])
        xlabel('\lambda (ms)'); ylabel('phase shift (ms)')
        yticks([0 10 20 30 40]); yticklabels([0 5 10 15 20])
        set(gca,'FontSize',11)
        hold on
    elseif j == 2
        plot(WAV,SHIFT,'LineWidth',1.2,'color',([0 0 .7]))
    elseif j == 3
        plot(WAV,SHIFT,'LineWidth',1.2,'color',([.4 .4 .9]))
    else
        plot(WAV,SHIFT,'LineWidth',1.2,'color',([.7 .7 1]))
    end

    subplot(2,3,3)
    if j == 1
        plot(WAV,pc_SHIFT,'LineWidth',1.2,'color',([0 0 .4]))
        title('%age shift')
        xlim([100 500]);%ylim([0 40])
        xlabel('\lambda (ms)'); ylabel('phase shift (% \lambda)')
        yticks([0 10 20 30 40]); yticklabels([0 5 10 15 20])
        set(gca,'FontSize',11)
        hold on
    elseif j == 2
        plot(WAV,pc_SHIFT,'LineWidth',1.2,'color',([0 0 .7]))
    elseif j == 3
        plot(WAV,pc_SHIFT,'LineWidth',1.2,'color',([.4 .4 .9]))
    else
        plot(WAV,pc_SHIFT,'LineWidth',1.2,'color',([.7 .7 1]))
    end

end
